<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::meta::SimuX4 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1meta_1_1_simu_x4.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1meta_1_1_simu_x4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::meta::SimuX4 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a simulation x4 uav.  
 <a href="classflair_1_1meta_1_1_simu_x4.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_simu_x4_8h_source.html">SimuX4.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::meta::SimuX4:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1meta_1_1_simu_x4.png" usemap="#flair::meta::SimuX4_map" alt=""/>
  <map id="flair::meta::SimuX4_map" name="flair::meta::SimuX4_map">
<area href="classflair_1_1meta_1_1_uav.html" title="Base class to construct sensors/actuators depending on uav type. The Object is created with the Frame..." alt="flair::meta::Uav" shape="rect" coords="0,56,115,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,115,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3a72b94775bf71510d2a015518e9184e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a72b94775bf71510d2a015518e9184e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SimuX4</b> (std::string name, uint32_t simu_id=0, std::string options=&quot;&quot;, <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL)</td></tr>
<tr class="separator:a3a72b94775bf71510d2a015518e9184e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac465bd864baebe91ed22937da4392d08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac465bd864baebe91ed22937da4392d08"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>StartSensors</b> (void)</td></tr>
<tr class="separator:ac465bd864baebe91ed22937da4392d08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06d5b4668f194bd078f3589a68418fb5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06d5b4668f194bd078f3589a68418fb5"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetType</b> (void) const </td></tr>
<tr class="separator:a06d5b4668f194bd078f3589a68418fb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1meta_1_1_uav"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1meta_1_1_uav')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td></tr>
<tr class="memitem:aa512f51f51b53bdf92821532727f2db7 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa512f51f51b53bdf92821532727f2db7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Uav</b> (std::string name, <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL)</td></tr>
<tr class="separator:aa512f51f51b53bdf92821532727f2db7 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c6738ce289162235fa2942f55900bfe inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c6738ce289162235fa2942f55900bfe"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a6c6738ce289162235fa2942f55900bfe inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39e84427251c38fe95fff8c93541d5f9 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39e84427251c38fe95fff8c93541d5f9"></a>
<a class="el" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBldc</b> (void) const </td></tr>
<tr class="separator:a39e84427251c38fe95fff8c93541d5f9 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94fc2067e306f6e82b725e117eab0f0f inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94fc2067e306f6e82b725e117eab0f0f"></a>
<a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetUavMultiplex</b> (void) const </td></tr>
<tr class="separator:a94fc2067e306f6e82b725e117eab0f0f inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae099b8f2558a125d2ac14aa04bb8e1d6 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae099b8f2558a125d2ac14aa04bb8e1d6"></a>
<a class="el" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetImu</b> (void) const </td></tr>
<tr class="separator:ae099b8f2558a125d2ac14aa04bb8e1d6 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79131875459876ba53cfc0a1b76b0b93 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79131875459876ba53cfc0a1b76b0b93"></a>
<a class="el" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetAhrs</b> (void) const </td></tr>
<tr class="separator:a79131875459876ba53cfc0a1b76b0b93 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab55e2500e42ede92950de3efbc1e58e1 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab55e2500e42ede92950de3efbc1e58e1"></a>
<a class="el" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetMetaUsRangeFinder</b> (void) const </td></tr>
<tr class="separator:ab55e2500e42ede92950de3efbc1e58e1 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52826951585d7194a016ce8a31d9f62e inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52826951585d7194a016ce8a31d9f62e"></a>
<a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetUsRangeFinder</b> (void) const </td></tr>
<tr class="separator:a52826951585d7194a016ce8a31d9f62e inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6ace6e08682f12a6702d674fe66ce32 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6ace6e08682f12a6702d674fe66ce32"></a>
<a class="el" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBatteryMonitor</b> (void) const </td></tr>
<tr class="separator:af6ace6e08682f12a6702d674fe66ce32 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a715d1259e41867078cb9dcf8bebd404e inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a715d1259e41867078cb9dcf8bebd404e"></a>
<a class="el" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVerticalCamera</b> (void) const </td></tr>
<tr class="separator:a715d1259e41867078cb9dcf8bebd404e inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03fdd9b52f7ffa4da19653ab7a598b29 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03fdd9b52f7ffa4da19653ab7a598b29"></a>
<a class="el" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetHorizontalCamera</b> (void) const </td></tr>
<tr class="separator:a03fdd9b52f7ffa4da19653ab7a598b29 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a195bed31e7f89e8eba1948bbaf4c0110 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a195bed31e7f89e8eba1948bbaf4c0110"></a>
<a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetGps</b> (void) const </td></tr>
<tr class="separator:a195bed31e7f89e8eba1948bbaf4c0110 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3aeb04c20d8e8476d699192471eef75 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3aeb04c20d8e8476d699192471eef75"></a>
<a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html">sensor::PressureSensor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetPressureSensor</b> (void) const </td></tr>
<tr class="separator:aa3aeb04c20d8e8476d699192471eef75 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a095040838a4078e62d6eddac7eab5f44 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a095040838a4078e62d6eddac7eab5f44"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultVrpnAddress</b> (void) const </td></tr>
<tr class="separator:a095040838a4078e62d6eddac7eab5f44 inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cdc97a1b23e95add9f45a1e74c0a2ec inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cdc97a1b23e95add9f45a1e74c0a2ec"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>isReadyToFly</b> (void) const </td></tr>
<tr class="separator:a9cdc97a1b23e95add9f45a1e74c0a2ec inherit pub_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1meta_1_1_uav"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1meta_1_1_uav')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td></tr>
<tr class="memitem:ab6f21b4db412eccba2d16b914496a8e4 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6f21b4db412eccba2d16b914496a8e4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetBldc</b> (const <a class="el" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc)</td></tr>
<tr class="separator:ab6f21b4db412eccba2d16b914496a8e4 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4d2df5677c51f4083b9f3d93e5d275f inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4d2df5677c51f4083b9f3d93e5d275f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetMultiplex</b> (const <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex)</td></tr>
<tr class="separator:ae4d2df5677c51f4083b9f3d93e5d275f inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a594e44502d58c8886d006dce444304c8 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a594e44502d58c8886d006dce444304c8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetAhrs</b> (const <a class="el" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs)</td></tr>
<tr class="separator:a594e44502d58c8886d006dce444304c8 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a455add1267f93f0f5ee6c40fc7e78e08 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a455add1267f93f0f5ee6c40fc7e78e08"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUsRangeFinder</b> (const <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us)</td></tr>
<tr class="separator:a455add1267f93f0f5ee6c40fc7e78e08 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb32e59418a6bc3980c0aec829a5eb70 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb32e59418a6bc3980c0aec829a5eb70"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetBatteryMonitor</b> (const <a class="el" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery)</td></tr>
<tr class="separator:adb32e59418a6bc3980c0aec829a5eb70 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad96792706400e63bc6ab9281780285d4 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad96792706400e63bc6ab9281780285d4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetVerticalCamera</b> (const <a class="el" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera)</td></tr>
<tr class="separator:ad96792706400e63bc6ab9281780285d4 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78c1a1f0344c91f9aac4bb62f32714c3 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78c1a1f0344c91f9aac4bb62f32714c3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetHorizontalCamera</b> (const <a class="el" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera)</td></tr>
<tr class="separator:a78c1a1f0344c91f9aac4bb62f32714c3 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafcdd640a8166e3994d9cd5a23cab363 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafcdd640a8166e3994d9cd5a23cab363"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetGps</b> (const <a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *gps)</td></tr>
<tr class="separator:aafcdd640a8166e3994d9cd5a23cab363 inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a318d6459b6a5fe542c3e4f64db04538b inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a318d6459b6a5fe542c3e4f64db04538b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPressureSensor</b> (const <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html">sensor::PressureSensor</a> *pressureSensor)</td></tr>
<tr class="separator:a318d6459b6a5fe542c3e4f64db04538b inherit pro_methods_classflair_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a simulation x4 uav. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">SimuX4</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
